BimpHelp

Refunds to customers: Bimp API methods

Bimp API methods for the “Refunds to customers” resource (/org2/refundToCustomer/…): 4 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/refundToCustomer/api-readListA request to get a detailed list of refund to customer documents
POST /org2/refundToCustomer/api-readA request to get detailed information about a single refund to customer document
POST /org2/refundToCustomer/api-createA request to create a new refund to customer document
POST /org2/refundToCustomer/api-updateA request to update an existing refund to customer document

api-readList

POST /org2/refundToCustomer/api-readList

A request to get a detailed list of refund to customer documents

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets
namestringFilter by document name or comment (fuzzy search)
periodobject[] | null
entryStatusnumber (0) | number (1)
responsiblesstring (uuid)[]
customersstring (uuid)[]
organizationsstring (uuid)[]
includeArchivedbooleanInclude archived documents
amountobject[]Amount range [min, max]

Response: data field

FieldTypeDescription
totalnumberTotal number of documents
rowsobject[]
rows[].uuidstring (uuid)
rows[].numberstring
rows[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
rows[].namestring
rows[].commentstringAn optional text field for any additional notes or comments related to the document
rows[].customerstring (uuid)
rows[].organizationstring (uuid)
rows[].statusstring (uuid)
rows[].authorstring (uuid)
rows[].currencystring (uuid)
rows[].documentSumnumber
rows[].projectobject
rows[].project.uuidstring (uuid)
rows[].project.namestring
curl -X POST 'https://app.bimpsoft.com/org2/refundToCustomer/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-read

POST /org2/refundToCustomer/api-read

A request to get detailed information about a single refund to customer document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for a refund to customer document

Response: data field

FieldTypeDescription
uuidstring (uuid)
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstring
namestring
commentstringAn optional text field for any additional notes or comments related to the document
customerstring (uuid)
organizationstring (uuid)
statusstring (uuid)
authorstring (uuid)
currencystring (uuid)
documentSumnumber
paymentEntitystring (uuid)
expenseItemstring (uuid)
projectobject | null
paymentDetailsobject[]
paymentDetails[].invoicestring (uuid)
paymentDetails[].refundSumnumber
curl -X POST 'https://app.bimpsoft.com/org2/refundToCustomer/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-create

POST /org2/refundToCustomer/api-create

A request to create a new refund to customer document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)A unique uuid key for a refund to customer document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
namestringDocument name
statusstring (uuid)
expenseItemstring (uuid)yesExpense item uuid
customerstring (uuid)yesA unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
projectstring (uuid) | null
organizationstring (uuid)yesA unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentEntitystring (uuid)yesThe unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
authorstring (uuid)yesA unique identifier for the Author, obtainable from the /user/api-readList request
commentstringAn optional text field for any additional notes or comments related to the document
documentSumnumberTotal amount of the refund document
paymentDetailsobject[]yesArray of payment details used to calculate refund sum
paymentDetails[].invoicestring (uuid)yesA unique uuid key for a Buyer’s order (‘Invoice for customer payment’ in system)
paymentDetails[].refundSumnumberyesRefund amount for this invoice

Response: data field

FieldTypeDescription
uuidstring (uuid)
numberstringDocument number
curl -X POST 'https://app.bimpsoft.com/org2/refundToCustomer/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"expenseItem":"00000000-0000-0000-0000-000000000000","customer":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","paymentEntity":"00000000-0000-0000-0000-000000000000","author":"00000000-0000-0000-0000-000000000000","paymentDetails":[{}]}'

api-update

POST /org2/refundToCustomer/api-update

A request to update an existing refund to customer document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)A unique uuid key for a refund to customer document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
namestringDocument name
statusstring (uuid)
expenseItemstring (uuid)Expense item uuid
customerstring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
projectstring (uuid) | null
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
commentstringAn optional text field for any additional notes or comments related to the document
documentSumnumberTotal amount of the refund document
paymentDetailsobject[]Array of payment details used to calculate refund sum
paymentDetails[].invoicestring (uuid)yesA unique uuid key for a Buyer’s order (‘Invoice for customer payment’ in system)
paymentDetails[].refundSumnumberyesRefund amount for this invoice

Response: data field

FieldTypeDescription
uuidstring (uuid)
numberstringDocument number
curl -X POST 'https://app.bimpsoft.com/org2/refundToCustomer/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000","date":"string","name":"string","status":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.